Skip to main content
GET
/
v2
/
check-sessions
/
{checkSessionId}
Retrieve a check session
curl --request GET \
  --url https://api.checklyhq.com/v2/check-sessions/{checkSessionId} \
  --header 'Authorization: Bearer <token>'
{
  "checkSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "checkSessionLink": "<string>",
  "checkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "startedAt": "2023-11-07T05:31:56Z",
  "stoppedAt": "2023-11-07T05:31:56Z",
  "timeElapsed": 123,
  "runLocations": [
    "<string>"
  ],
  "results": [
    {
      "checkResultId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "checkResultLink": "<string>",
      "checkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "runLocation": "<string>",
      "hasErrors": true,
      "hasFailures": true,
      "isDegraded": true,
      "aborted": true,
      "isCancelled": true
    }
  ],
  "name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://checklyhq.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string<uuid>

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

checkSessionId
string<uuid>
required

Check session ID.

Response

Successful

checkSessionId
string<uuid>
required
checkId
string<uuid>
required
checkType
enum<string>
required
Available options:
AGENTIC,
API,
BROWSER,
HEARTBEAT,
ICMP,
MULTI_STEP,
TCP,
PLAYWRIGHT,
URL,
DNS
status
enum<string>
required
Available options:
STARTED,
PROGRESS,
FAILED,
PASSED,
DEGRADED,
PROGRESS_FAILED,
PROGRESS_DEGRADED,
TIMED_OUT,
CANCELLED
startedAt
string<date-time>
required
stoppedAt
string<date-time> | null
required
timeElapsed
number
required
runLocations
string[]
required
runSource
enum<string> | null
required
Available options:
CLI_DEPLOY,
DEPLOYMENT,
DEPLOYMENT_CACHE_WARMER,
EDITOR,
GROUP_RUN_ALL,
LEGACY_TRIGGER,
SCHEDULER,
SCHEDULE_NOW,
TEST_NO_RECORD,
TEST_RECORD,
TRIGGER_NO_RECORD,
TRIGGER_RECORD,
TRIGGER_API,
null
results
object[]
required
name
string